Bug 234724 - Kernel build fails with device imcsmb
Summary: Kernel build fails with device imcsmb
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.0-STABLE
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 23:43 UTC by Arun Pereira
Modified: 2019-01-09 21:11 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arun Pereira 2019-01-07 23:43:34 UTC
Build fails with the following error.

--- imcsmb_pci.o ---
In file included from /usr/src/sys/dev/imcsmb/imcsmb_pci.c:53:
/usr/src/sys/dev/imcsmb/imcsmb_var.h:55:10: fatal error: 'smbus_if.h' file not found
#include "smbus_if.h"
--- imcsmb.o ---
In file included from /usr/src/sys/dev/imcsmb/imcsmb.c:55:
/usr/src/sys/dev/imcsmb/imcsmb_var.h:55:10: fatal error: 'smbus_if.h' file not found
#include "smbus_if.h"
--- imcsmb_pci.o ---
--- imcsmb.o ---
--- imcsmb_pci.o ---
*** [imcsmb_pci.o] Error code 1
--- imcsmb.o ---
*** [imcsmb.o] Error code 1

File does not exist in /usr/src and does not exist in the freebsd repo.
Comment 1 Conrad Meyer freebsd_committer 2019-01-08 00:19:28 UTC
I don't think it's the module build; sys/modules/i2c/controllers/imcsmb/Makefile has always included smbus_if.h in SRCS.

(*_if.h headers tend to be interface headers which are generated during the build; the SRCS inclusion expresses that dependency so the module isn't built until the header is generated.)

Maybe you have a kernel configuration which includes option imcsmb but not smbus?  If so, include smbus as well.
Comment 2 Arun Pereira 2019-01-09 21:11:06 UTC
Thank you, that fixed the build issue.